## mx-cleanup 25.10.3

=== CMakeLists.txt ===
# **********************************************************************
# * Copyright (C) 2018-2025 MX Authors
# *
# * Authors: Adrian
# *          MX Linux <http://mxlinux.org>
# *
# * This file is part of mx-cleanup.
# *
# * mx-cleanup is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * mx-cleanup is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with mx-cleanup.  If not, see <http://www.gnu.org/licenses/>.
# **********************************************************************/

cmake_minimum_required(VERSION 3.16)

# Get version from debian/changelog
execute_process(
    COMMAND dpkg-parsechangelog -SVersion
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
    OUTPUT_STRIP_TRAILING_WHITESPACE
    RESULT_VARIABLE DPKG_RESULT
)

if(NOT DPKG_RESULT EQUAL 0)
    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
endif()

project(mx-cleanup
    VERSION ${PROJECT_VERSION_FROM_CHANGELOG}
    DESCRIPTION "MX Cleanup - GUI for system cleanup and maintenance"
    LANGUAGES CXX
)

# Set C++ standard
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Enable compile commands export for IDEs and tools
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Optimize for Ninja builds
if(CMAKE_GENERATOR STREQUAL "Ninja")
    # Enable colored output for Ninja
    if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        add_compile_options(-fdiagnostics-color=always)
    elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
        add_compile_options(-fcolor-diagnostics)
    endif()
endif()

# Option to use clang for testing builds
option(USE_CLANG "Use clang compiler" OFF)
if(USE_CLANG)
    set(CMAKE_C_COMPILER clang)
    set(CMAKE_CXX_COMPILER clang++)
    set(CMAKE_CXX_COMPILER_ID "Clang")
    message(STATUS "Using clang compiler")
endif()

# Find Qt6 components
find_package(Qt6 REQUIRED COMPONENTS
    Core
    Gui
    Widgets
    LinguistTools
)

# Enable automatic MOC, UIC, and RCC processing
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Define source files
set(SOURCES
    main.cpp
    mainwindow.cpp
    about.cpp
)

set(HEADERS
    mainwindow.h
    about.h
    common.h
)

set(UI_FILES
    mainwindow.ui
)

set(RESOURCE_FILES
    images.qrc
)

# Get all translation files
file(GLOB TRANSLATION_FILES "translations/*.ts")

# Create the executable
add_executable(mx-cleanup
    ${SOURCES}
    ${HEADERS}
    ${UI_FILES}
    ${RESOURCE_FILES}
)

# Link Qt6 libraries
target_link_libraries(mx-cleanup
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

# Set compiler flags
target_compile_options(mx-cleanup PRIVATE
    -Wpedantic
    -pedantic
    -Werror=return-type
    -Werror=switch
    -Werror=uninitialized
    -Werror
)

# Add compiler-specific flags
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
    target_compile_options(mx-cleanup PRIVATE -Werror=return-stack-address)
else()
    target_compile_options(mx-cleanup PRIVATE -Werror=return-local-addr)
endif()

# Set compile definitions
target_compile_definitions(mx-cleanup PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    VERSION="${PROJECT_VERSION}"
)

# Release-specific optimizations
if(CMAKE_BUILD_TYPE STREQUAL "Release")
    target_compile_definitions(mx-cleanup PRIVATE NDEBUG)
    target_compile_options(mx-cleanup PRIVATE -O3)

    # Add LTO - different flags for different compilers
    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
        target_compile_options(mx-cleanup PRIVATE -flto=thin)
        target_link_options(mx-cleanup PRIVATE -flto=thin)
    else()
        target_compile_options(mx-cleanup PRIVATE -flto=auto)
        target_link_options(mx-cleanup PRIVATE -flto=auto)
    endif()
endif()

# Handle translations
qt6_add_translations(mx-cleanup
    TS_FILES ${TRANSLATION_FILES}
    LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
    QM_FILES_OUTPUT_VARIABLE qm_files
)



# Set target properties
set_target_properties(mx-cleanup PROPERTIES
    OUTPUT_NAME "mx-cleanup"
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
)



# Install target (required by Debian build system)
# Other files are handled by debian/install
install(TARGETS mx-cleanup
    RUNTIME DESTINATION bin
)

## mx-cleanup 18.11.1

=== debian/changelog ===
mx-cleanup (18.11.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 11:47:11 -0500

mx-cleanup (18.11) mx; urgency=medium

  * add option to not clean trash, logs, APT cache
  * load options from cron file and set GUI accordingly

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Nov 2018 09:25:56 -0500

mx-cleanup (18.10.1) mx; urgency=medium

  * updated translations 

 -- Adrian <adrian@mxlinux.org>  Wed, 31 Oct 2018 12:10:10 -0400

mx-cleanup (18.10) mx; urgency=medium

  * schedule cleanup

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 16:08:28 -0400

mx-cleanup (18.08.1) mx; urgency=medium

  * allow qdirstat dependency alternative to baobab

 -- Adrian <adrian@mxlinux.org>  Thu, 16 Aug 2018 23:31:48 -0400

mx-cleanup (18.08) mx; urgency=medium

  * fix icon other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 16:05:45 -0400

mx-cleanup (18.06.2) mx; urgency=medium

  * added changelog button

 -- Adrian <adrian@mxlinux.org>  Sun, 24 Jun 2018 09:22:54 -0400

mx-cleanup (18.06.1) mx; urgency=medium

  * remove option to clean /tmp

 -- Adrian <adrian@mxlinux.org>  Sat, 16 Jun 2018 16:40:59 -0400

mx-cleanup (18.06) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 11 Jun 2018 15:33:04 -0400

mx-cleanup (0.18.06) mx; urgency=medium

  * initial release

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Jun 2018 16:05:57 -0400

=== debian/control ===
Source: mx-cleanup
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-default,
	qttools5-dev-tools, 
	debhelper (>=9.2),
	libcmd
Standards-Version: 3.9.8

Package: mx-cleanup
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcmd, xdg-utils|mx-viewer, baobab|qdirstat
Description: mx-cleanup
 Quick safe removal of old files

## mx-cleanup 19.1

=== debian/changelog ===
mx-cleanup (19.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Jan 2019 09:43:38 -0500

## mx-cleanup 19.4

=== debian/changelog ===
mx-cleanup (19.4) mx; urgency=medium

  * update translations

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Apr 2019 11:25:18 -0400

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5

MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease src.pro
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --parallel

## mx-cleanup 19.7

=== debian/changelog ===
mx-cleanup (19.7) mx; urgency=medium

  * fix window buttons for Buster

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 13:25:46 -0400

## mx-cleanup 19.7.1

=== debian/changelog ===
mx-cleanup (19.7.1) mx; urgency=medium

  * update icon

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Jul 2019 11:37:32 -0400

## mx-cleanup 19.8

=== debian/changelog ===
mx-cleanup (19.8) mx; urgency=medium

  * added offline help file

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Aug 2019 13:49:48 -0400

=== debian/control ===
Source: mx-cleanup
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9.2), libcmd, qt5-default, qttools5-dev-tools
Standards-Version: 3.9.8

Package: mx-cleanup
Architecture: any
Depends: baobab | qdirstat,
         libcmd,
         xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: mx-cleanup
 Quick safe removal of old files

## mx-cleanup 19.8.1

=== debian/changelog ===
mx-cleanup (19.8.1) mx; urgency=medium

  * remove libcmd dependency
  * update icon

 -- Adrian <adrian@mxlinux.org>  Sat, 31 Aug 2019 15:15:07 -0400

=== debian/control ===
Source: mx-cleanup
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9.2), 
	qt5-default, 
	qttools5-dev-tools
Standards-Version: 3.9.8

Package: mx-cleanup
Architecture: any
Depends: baobab | qdirstat,
         xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: mx-cleanup
 Quick safe removal of old files

## mx-cleanup 19.9

=== debian/changelog ===
mx-cleanup (19.9) mx; urgency=medium

  * update translations

 -- Adrian <adrian@mxlinux.org>  Fri, 27 Sep 2019 20:15:14 -0400

mx-cleanup (19.8.2) mx; urgency=medium

  * minor fix 

 -- Adrian <adrian@mxlinux.org>  Sat, 31 Aug 2019 20:47:07 -0400

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 override_dh_auto_build:
 	lrelease src.pro
+	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)
 
 override_dh_auto_install:

## mx-cleanup 19.12

=== debian/changelog ===
mx-cleanup (19.12) mx; urgency=medium

  * run baobab as logged in user

 -- Adrian <adrian@mxlinux.org>  Thu, 19 Dec 2019 15:57:21 -0500

=== debian/control ===
Source: mx-cleanup
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9.2), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.8

Package: mx-cleanup
Architecture: any
Depends: baobab | qdurstat,
         xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: mx-cleanup
 Quick safe removal of old files

## mx-cleanup 20.6

=== debian/changelog ===
mx-cleanup (20.6) mx; urgency=medium

  * fix dependency

 -- Adrian <adrian@mxlinux.org>  Sat, 13 Jun 2020 22:50:55 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mx-cleanup
 Architecture: any
-Depends: baobab | qdurstat,
+Depends: baobab | qdirstat,
          xdg-utils | mx-viewer,
          ${misc:Depends},
          ${shlibs:Depends}

## mx-cleanup 20.6.1

=== debian/changelog ===
mx-cleanup (20.6.1) mx; urgency=medium

  * added filelight as alternative

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Jun 2020 01:13:38 -0400

## mx-cleanup 20.7

=== debian/changelog ===
mx-cleanup (20.7) mx; urgency=medium

  * added older than option for logs and trash

 -- Adrian <adrian@mxlinux.org>  Thu, 09 Jul 2020 00:51:52 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mx-cleanup
 Architecture: any
-Depends: baobab | qdirstat,
+Depends: baobab | qdirstat | filelight,
          xdg-utils | mx-viewer,
          ${misc:Depends},
          ${shlibs:Depends}

## mx-cleanup 20.7.1

=== debian/changelog ===
mx-cleanup (20.7.1) mx; urgency=medium

  * load and save default settings

 -- Adrian <adrian@mxlinux.org>  Fri, 10 Jul 2020 02:39:48 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease src.pro
+	lrelease *.pro
 	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)

## mx-cleanup 20.8

=== debian/changelog ===
mx-cleanup (20.8) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 01 Aug 2020 13:02:30 -0400

## mx-cleanup 22.4

=== debian/changelog ===
mx-cleanup (22.4) mx; urgency=medium

  * Add kernel cleanup function

 -- Adrian <adrian@mxlinux.org>  Tue, 19 Apr 2022 22:16:02 -0400

## mx-cleanup 22.4.02

=== debian/changelog ===
mx-cleanup (22.4.02) mx; urgency=medium

  * Improve listing of packages to remove (avoid using autoremove)

 -- Adrian <adrian@mxlinux.org>  Thu, 21 Apr 2022 13:18:38 -0400

mx-cleanup (22.4.01) mx; urgency=medium

  * Hide remove selected button if nothing to select

 -- Adrian <adrian@mxlinux.org>  Thu, 21 Apr 2022 08:34:16 -0400

## mx-cleanup 22.4.04

=== debian/changelog ===
mx-cleanup (22.4.04) mx; urgency=medium

  * Add only linux-headers-*-common to removal list

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Apr 2022 16:54:20 -0400

mx-cleanup (22.4.03) mx; urgency=medium

  * Tighten list of package to remove; remove only linux-image/headers 

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Apr 2022 14:56:43 -0400

## mx-cleanup 22.4.05

=== debian/changelog ===
mx-cleanup (22.4.05) mx; urgency=medium

  * Adjust common kernel headers removal 

 -- Adrian <adrian@mxlinux.org>  Sun, 24 Apr 2022 22:17:14 -0400

## mx-cleanup 22.4.06

=== debian/changelog ===
mx-cleanup (22.4.06) mx; urgency=medium

  * Adjust i686/pae meta-package detection

 -- Adrian <adrian@mxlinux.org>  Tue, 26 Apr 2022 09:40:03 -0400

## mx-cleanup 22.5

=== debian/changelog ===
mx-cleanup (22.5) mx; urgency=medium

  * Run 'apt-get install -f' after removing kernel(s) to fix the installation

 -- Adrian <adrian@mxlinux.org>  Wed, 04 May 2022 15:55:59 -0400

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,8 @@
 override_dh_auto_install:
 	dh_auto_install -- $(MAKE_OPTS)
 
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
-
 override_dh_shlibdeps:
-	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
+	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
 
 %:
-	dh $@ --parallel 
+	dh $@ --no-automatic-dbgsym --parallel

## mx-cleanup 22.6

=== debian/changelog ===
mx-cleanup (22.6) mx; urgency=medium

  *  Fix pae kernel matching

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Jun 2022 15:05:17 -0400

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 override_dh_auto_build:
 	lrelease *.pro
 	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
-	dh_auto_build -- $(MAKE_OPTS)
+	dh_auto_build -- $(MAKE_OPTS) 
 
 override_dh_auto_install:
 	dh_auto_install -- $(MAKE_OPTS)
@@ -19,4 +19,5 @@
 	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
 
 %:
-	dh $@ --no-automatic-dbgsym --parallel 
+	dh $@ --no-automatic-dbgsym --parallel
+

## mx-cleanup 22.6.01

=== debian/changelog ===
mx-cleanup (22.6.01) mx; urgency=medium

  * Preserve user theme when launching program as root
  * Make sure HOME and XDG_RUNTIME_DIR are correct when launching as root
  * Fix URL for help page

 -- Adrian <adrian@mxlinux.org>  Tue, 14 Jun 2022 10:41:43 -0400

## mx-cleanup 22.7

=== debian/changelog ===
mx-cleanup (22.7) mx; urgency=medium

  * Add option to run cleanup script at @reboot

 -- Adrian <adrian@mxlinux.org>  Sat, 02 Jul 2022 20:30:36 -0400

## mx-cleanup 22.7.01

=== debian/changelog ===
mx-cleanup (22.7.01) mx; urgency=medium

  * Add safer option to clean ~/.cache
  * Minor pkexec/sudo environment parameter adjustment

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Jul 2022 11:17:52 -0400

## mx-cleanup 22.7.02

=== debian/changelog ===
mx-cleanup (22.7.02) mx; urgency=medium

  *  Adjust regexp detection of running kernel

 -- Adrian <adrian@mxlinux.org>  Tue, 05 Jul 2022 11:25:39 -0400

## mx-cleanup 22.7.03

=== debian/changelog ===
mx-cleanup (22.7.03) mx; urgency=medium

  * Make cache cleanup safer: search only for files in ~/.cache; use mtime in addition to atime

 -- Adrian <adrian@mxlinux.org>  Sat, 09 Jul 2022 11:26:56 -0400

## mx-cleanup 22.7.04

=== debian/changelog ===
mx-cleanup (22.7.04) mx; urgency=medium

  * Add number of days option for cache cleanup: default = 2

 -- Adrian <adrian@mxlinux.org>  Sun, 10 Jul 2022 14:51:05 -0400

## mx-cleanup 22.7.05

=== debian/changelog ===
mx-cleanup (22.7.05) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 12:38:05 -0400

## mx-cleanup 22.8

=== debian/changelog ===
mx-cleanup (22.8) mx; urgency=medium

  * Fix: launching Firefox from Help

 -- Adrian <adrian@mxlinux.org>  Wed, 17 Aug 2022 21:43:11 -0400

## mx-cleanup 22.8.01

=== debian/changelog ===
mx-cleanup (22.8.01) mx; urgency=medium

  * Fix: launching documents from Help (fixes a problem in Plasma) 

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Aug 2022 21:15:13 -0400

## mx-cleanup 22.9

=== debian/changelog ===
mx-cleanup (22.9) mx; urgency=medium

  * Flatpak: remove unused runtimes option

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Sep 2022 13:32:37 -0400

## mx-cleanup 22.10.01

=== debian/changelog ===
mx-cleanup (22.10.01) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 19:39:26 -0400

mx-cleanup (22.10) mx; urgency=medium

  * Unset DBUS_SESSION_BUS_ADDRESS 

 -- Adrian <adrian@mxlinux.org>  Mon, 24 Oct 2022 21:55:33 -0400

## mx-cleanup 22.12

=== debian/changelog ===
mx-cleanup (22.12) mx; urgency=medium

  * Delete folders from Trash, not only files

 -- Adrian <adrian@mxlinux.org>  Thu, 01 Dec 2022 08:47:19 -0500

## mx-cleanup 23.3

=== debian/changelog ===
mx-cleanup (23.3) mx; urgency=medium

  * Add clean up for log files with the following formats: *.[0-9] and *.[0-9].log
  * Translation refresh

 -- Adrian <adrian@mxlinux.org>  Fri, 10 Mar 2023 00:51:27 -0500

## mx-cleanup 23.5

=== debian/changelog ===
mx-cleanup (23.5) mx; urgency=medium

  * Update logo
  * Refresh translations

 -- Adrian <adrian@mxlinux.org>  Wed, 17 May 2023 18:25:37 -0400

## mx-cleanup 23.7

=== debian/changelog ===
mx-cleanup (23.7) mx; urgency=medium

  * Refresh translations
  * Update policy file

 -- Adrian <adrian@mxlinux.org>  Sat, 01 Jul 2023 19:43:28 -0400

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_auto_build:
 	lrelease *.pro
-	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
+	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/const QString VERSION {\"\1\"};/" > version.h
 	dh_auto_build -- $(MAKE_OPTS) 
 
 override_dh_auto_install:

## mx-cleanup 23.7.01

=== debian/changelog ===
mx-cleanup (23.7.01) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 16:23:29 -0400

## mx-cleanup 23.11

=== debian/changelog ===
mx-cleanup (23.11) mx; urgency=medium

  * Run program as normal user and elevate only when needed

 -- Adrian <adrian@mxlinux.org>  Thu, 09 Nov 2023 14:52:14 -0500

## mx-cleanup 23.11.01

=== debian/changelog ===
mx-cleanup (23.11.01) mx; urgency=medium

  * Fix: ownership for mx-cleanup-script and cron job

 -- Adrian <adrian@mxlinux.org>  Thu, 16 Nov 2023 15:19:29 -0500

## mx-cleanup 24.2.01

=== debian/changelog ===
mx-cleanup (24.2.01) mx; urgency=medium

  * Check for and remove rtl8814au, rtl8821cu, broadcom-sta-dkms

 -- Adrian <adrian@mxlinux.org>  Thu, 01 Feb 2024 23:26:58 -0500

mx-cleanup (24.2) mx; urgency=medium

  * Add button to remove unneeded Realtek drivers

 -- Adrian <adrian@mxlinux.org>  Thu, 01 Feb 2024 22:39:35 -0500

## mx-cleanup 24.3

=== debian/changelog ===
mx-cleanup (24.3) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 12:34:33 -0400

## mx-cleanup 24.4

=== debian/changelog ===
mx-cleanup (24.4) mx; urgency=medium

  * Fix: thumbnails folder location

 -- Adrian <adrian@mxlinux.org>  Sat, 06 Apr 2024 19:15:02 -0400

## mx-cleanup 24.4.01

=== debian/changelog ===
mx-cleanup (24.4.01) mx; urgency=medium

  * Run cleanup script at reboot not immediately if option is selected
  * Fix: cache cleanup command

 -- Adrian <adrian@mxlinux.org>  Tue, 16 Apr 2024 22:56:51 -0400

## mx-cleanup 24.9.01

=== debian/changelog ===
mx-cleanup (24.9.01) mx; urgency=medium

  * Fix: regexp in kernel cleanup
  * Add: kernel removal list, sorted by version
  * Fix: debconf frontend as non-gui to avoid error warnings

 -- fehlix <fehlix@mxlinux.org>  Tue, 17 Sep 2024 15:09:20 -0400

## mx-cleanup 24.11.01

=== debian/changelog ===
mx-cleanup (24.11.01) mx; urgency=medium

  * Adjust the window height to smaller screens

 -- fehlix <fehlix@mxlinux.org>  Fri, 01 Nov 2024 20:28:09 -0400

## mx-cleanup 24.11.02

=== debian/changelog ===
mx-cleanup (24.11.02) mx; urgency=medium

  * Translation update

 -- Adrian <adrian@mxlinux.org>  Sat, 16 Nov 2024 15:45:32 -0500

## mx-cleanup 25.4.02

=== debian/changelog ===
mx-cleanup (25.4.02) mx; urgency=medium

  * Move tools to a second tab to make the window fit on smaller screens
  * Failure to elevate pops up a message and returns

 -- Adrian <adrian@mxlinux.org>  Mon, 28 Apr 2025 17:46:43 -0400

## mx-cleanup 25.4.03

=== debian/changelog ===
mx-cleanup (25.4.03) mx; urgency=medium

  * Use checkable group boxes instead of do-nothing radio buttons
  * Don't reload when switching tabs

 -- Adrian <adrian@mxlinux.org>  Wed, 30 Apr 2025 11:05:39 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9.2), qtbase5-dev, qttools5-dev-tools
+Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 
 Package: mx-cleanup

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease *.pro
+	lrelease translations/*.ts
 	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/const QString VERSION {\"\1\"};/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)

## mx-cleanup 25.5.01

=== debian/changelog ===
mx-cleanup (25.5.01) mx; urgency=medium

  * Add button to remove manuals in other languages

 -- Adrian <adrian@mxlinux.org>  Sat, 10 May 2025 17:46:46 -0400

mx-cleanup (25.5) mx; urgency=medium

  * Use checkable group boxes instead of do-nothing radio buttons
  * Don't reload when switching tabs
  * Move tools to a second tab to make the window fit on smaller screens
  * Failure to elevate pops up a message and returns

 -- Adrian <adrian@mxlinux.org>  Sat, 03 May 2025 08:06:51 -0400

mx-cleanup (25.4.01) mx; urgency=medium

  * Update to Qt6
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Apr 2025 22:29:29 -0400

## mx-cleanup 25.6

=== debian/changelog ===
mx-cleanup (25.6) mx; urgency=medium

  * Fix: processing local language when removing manuals

 -- Adrian <adrian@mxlinux.org>  Sun, 08 Jun 2025 22:10:54 -0400

## mx-cleanup 25.6.01

=== debian/changelog ===
mx-cleanup (25.6.01) mx; urgency=medium

  * Add option to remove remaining configuration files from removed packages
  * Add --delete-data for flatpak removal of unused apps
  * Disable interface while applying changes to avoid random button clicks

 -- Adrian <adrian@mxlinux.org>  Mon, 09 Jun 2025 18:21:17 -0400

## mx-cleanup 25.6.03

=== debian/changelog ===
mx-cleanup (25.6.03) mx; urgency=medium

  * Fix saving/loading default values

 -- Adrian <adrian@mxlinux.org>  Tue, 10 Jun 2025 16:02:13 -0400

mx-cleanup (25.6.02) mx; urgency=medium

  * Fix: run removal of config files independent of apt cleanup checkbox

 -- Adrian <adrian@mxlinux.org>  Tue, 10 Jun 2025 08:33:41 -0400

## mx-cleanup 25.6.04

=== debian/changelog ===
mx-cleanup (25.6.04) mx; urgency=medium

  * Remove broadcom-sta-dkms if wl but no broadcom pci devices are found 

 -- Adrian <adrian@mxlinux.org>  Fri, 27 Jun 2025 21:44:25 -0400

=== debian/control ===
Source: mx-cleanup
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 13),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 3.9.8
Homepage: https://github.com/mxlinux/mx-cleanup
Vcs-Git: https://github.com/mxlinux/mx-cleanup.git
Vcs-Browser: https://github.com/mxlinux/mx-cleanup

Package: mx-cleanup
Architecture: any
Depends: baobab | qdirstat | filelight,
         xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GUI for system cleanup and maintenance
 A user-friendly graphical interface that allows users to:
  * Safely remove old and unnecessary files
  * Free up disk space by cleaning temporary files
 .

## mx-cleanup 25.7

=== debian/changelog ===
mx-cleanup (25.7) mx; urgency=medium

  * Cleanup MX Fluxbox manuals in addition to regular ones

 -- Adrian <adrian@mxlinux.org>  Fri, 11 Jul 2025 11:37:03 -0400

## mx-cleanup 25.10

=== debian/changelog ===
mx-cleanup (25.10) mx; urgency=medium

  * Remove hard dependencies and move them to recommended; hide button
    if the programs are not available

 -- Adrian <adrian@mxlinux.org>  Sat, 04 Oct 2025 20:49:37 -0400

## mx-cleanup 25.10.2

=== debian/changelog ===
mx-cleanup (25.10.2) mx; urgency=medium

  * Fix only for pt_BR

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Oct 2025 23:15:53 -0400

mx-cleanup (25.10.1) mx; urgency=medium

  * Fix: special case removal function for pt-br locale

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Oct 2025 21:50:41 -0400

=== debian/control ===
Source: mx-cleanup
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 12), cmake (>= 3.16), ninja-build, qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
Standards-Version: 3.9.8
Homepage: https://github.com/mxlinux/mx-cleanup
Vcs-Git: https://github.com/mxlinux/mx-cleanup.git
Vcs-Browser: https://github.com/mxlinux/mx-cleanup

Package: mx-cleanup
Architecture: any
Depends: xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: baobab | qdirstat | filelight
Description: GUI for system cleanup and maintenance
 A user-friendly graphical interface that allows users to:
  * Safely remove old and unnecessary files
  * Free up disk space by cleaning temporary files
 .

## mx-cleanup 25.10.3

=== debian/changelog ===
mx-cleanup (25.10.3) mx; urgency=medium

  * Clean thumbnails respecting the 'not accessed by' specification

 -- Adrian <adrian@mxlinux.org>  Mon, 13 Oct 2025 08:39:37 -0400

## mx-cleanup 25.10.5

=== debian/changelog ===
mx-cleanup (25.10.5) mx; urgency=medium

  * Fix: loading Tumbnails status from the cleanup script
  * Load atime info from cleanup script into the access time spinbox
  * Make it trully multi-user, allow each user to have a separate
    cleaning script

 -- Adrian <adrian@mxlinux.org>  Wed, 22 Oct 2025 12:00:05 -0400

## mx-cleanup 25.11

=== debian/changelog ===
mx-cleanup (25.11) mx; urgency=medium

  * c10568f (HEAD -> master) Fix: schedule cleanup no longer nukes every user’s cron file
  * 7fddb9f Fix: running purge sepearate from apt autoclean
  * 41c0659 Fix: flatpak clean the selected user home only
  * ce5d44c Re-enable UI if failed to elevate

 -- Adrian <adrian@mxlinux.org>  Fri, 07 Nov 2025 20:33:07 -0500

## mx-cleanup 25.12

=== debian/changelog ===
mx-cleanup (25.12) mx; urgency=medium

  * Preserve disabled cleanup options

 -- Adrian <adrian@mxlinux.org>  Thu, 04 Dec 2025 13:41:37 -0500

## mx-cleanup 26.01.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,17 +22,53 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-# Get version from debian/changelog
-execute_process(
-    COMMAND dpkg-parsechangelog -SVersion
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-    RESULT_VARIABLE DPKG_RESULT
-)
-
-if(NOT DPKG_RESULT EQUAL 0)
-    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
+set(PROJECT_VERSION_FROM_CHANGELOG "")
+set(DPKG_RESULT 1)
+
+if(DEFINED PROJECT_VERSION_OVERRIDE AND NOT "${PROJECT_VERSION_OVERRIDE}" STREQUAL "")
+    set(PROJECT_VERSION_FROM_CHANGELOG "${PROJECT_VERSION_OVERRIDE}")
+    message(STATUS "Using version override: ${PROJECT_VERSION_FROM_CHANGELOG}")
+else()
+    find_program(DPKG_PARSECHANGELOG dpkg-parsechangelog)
+    if(DPKG_PARSECHANGELOG)
+        execute_process(
+            COMMAND ${DPKG_PARSECHANGELOG} -SVersion
+            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+            OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
+            OUTPUT_STRIP_TRAILING_WHITESPACE
+            RESULT_VARIABLE DPKG_RESULT
+            ERROR_QUIET
+        )
+    endif()
+
+    if(DPKG_RESULT EQUAL 0 AND NOT "${PROJECT_VERSION_FROM_CHANGELOG}" STREQUAL "")
+        message(STATUS "Using version from debian/changelog: ${PROJECT_VERSION_FROM_CHANGELOG}")
+    elseif(EXISTS ${CMAKE_SOURCE_DIR}/debian/changelog)
+        file(READ ${CMAKE_SOURCE_DIR}/debian/changelog PROJECT_CHANGELOG_CONTENT)
+        string(REGEX MATCH "^[^\\(]*\\(([^)]+)\\)" _match "${PROJECT_CHANGELOG_CONTENT}")
+        if(NOT _match)
+            message(FATAL_ERROR "Could not parse version from debian/changelog")
+        endif()
+        set(PROJECT_VERSION_FROM_CHANGELOG "${CMAKE_MATCH_1}")
+        message(STATUS "Using version parsed from debian/changelog: ${PROJECT_VERSION_FROM_CHANGELOG}")
+    elseif(EXISTS ${CMAKE_SOURCE_DIR}/PKGBUILD)
+        file(READ ${CMAKE_SOURCE_DIR}/PKGBUILD PKGBUILD_CONTENT)
+        string(REGEX MATCH "\n?pkgver=([^\n\r]+)" _match "${PKGBUILD_CONTENT}")
+        if(NOT _match)
+            message(FATAL_ERROR "Could not parse version from PKGBUILD")
+        endif()
+        set(PROJECT_VERSION_FROM_CHANGELOG "${CMAKE_MATCH_1}")
+        string(STRIP "${PROJECT_VERSION_FROM_CHANGELOG}" PROJECT_VERSION_FROM_CHANGELOG)
+        string(REGEX REPLACE "^\"|\"$" "" PROJECT_VERSION_FROM_CHANGELOG "${PROJECT_VERSION_FROM_CHANGELOG}")
+        string(REGEX REPLACE "^'|'$" "" PROJECT_VERSION_FROM_CHANGELOG "${PROJECT_VERSION_FROM_CHANGELOG}")
+        string(REGEX MATCH "^\\$\\{PKGVER:-([^}]+)\\}$" _pkgver_match "${PROJECT_VERSION_FROM_CHANGELOG}")
+        if(_pkgver_match)
+            set(PROJECT_VERSION_FROM_CHANGELOG "${CMAKE_MATCH_1}")
+        endif()
+        message(STATUS "Using version parsed from PKGBUILD: ${PROJECT_VERSION_FROM_CHANGELOG}")
+    else()
+        message(FATAL_ERROR "Could not determine version: dpkg-parsechangelog not available and no debian/changelog or PKGBUILD")
+    endif()
 endif()
 
 project(mx-cleanup

=== debian/changelog ===
mx-cleanup (26.01.5) mx; urgency=medium

  * Improve purge safety
  * Fix Terminology closing without a prompt

 -- Adrian <adrian@mxlinux.org>  Mon, 26 Jan 2026 13:53:23 -0500
